<?php
    session_start();
    include 'conexion.php'; 
    $dni=$_SESSION["dni"];
    $res=mysqli_query($con,"select * from alumno where dni='$dni'");
    $x=mysqli_fetch_row($res);
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>IESTP "MARCO" - EGRESADO</title>
    <style>
        *{
            margin: 0;
            padding: 0;            
        }
        .encabezado{
            background-color: rgb(12, 180, 34);
            margin: auto;
            display: flex;
            align-items: center;
        }
        .encabezado img{
            width: 30%;
            margin: 10px 50px;
        }
        .titulo{
            font-size: 50px;
            font-weight: bold;
            color: aliceblue;
        }
        .botones{
            background-color: rgb(253, 253, 253);
            display: flex;
            justify-content: center;
            margin-top: 10px;
        }
        .botones a{
            text-decoration: none;
            color: aliceblue;
            background-color: black;
            padding: 10px 15px;
            border-radius: 10px;
            font-size: 20px;
        }
        .botones a:hover{
            background-color: aliceblue;
            color: black;
        }
        .contenido{
            width: 80%;
            margin: auto;
            display: flex;
            justify-content: space-between;
            margin-top: 10px;
            border-radius: 20px;
            background-color: aqua;
            font-family: Arial, Helvetica, sans-serif;
        }
        .contenido_izq{
            width: 75%;
            text-align: center;
        }
        .contenido_izq img{
            margin-top:20px;
            width: 75%;
            border-radius:20px;
        }
        .contenido_der{        
            width: 25%;
        }
        .contenido_der center{
            font-size: 15px;
            font-weight: bold;
            margin: 20px 0;
        }
        .contenido_der img{
            margin-top:20px;
            width: 80%;
            border-radius: 10px;        
        }
        .contenido_der p{
            line-height: 1.5;
        }
        .contenido_izq input{
            padding:10px;
            margin-top:10px;
            border-radius: 10px; 
        }
        .Botoness input{
            background-color: rgb(253, 12, 253);
            border-radius: 10px; 
            padding: 10px 20px;
        }
        .Botoness input:hover{
            background-color: rgb(21, 12, 253);
        }
    </style>
</head>
<body>
    <section class="encabezado">
        <img src="img/logo_IESTP.png" alt="">
        <div class="titulo">Bienvenidos EGRESADO</div>
    </section>
    <hr>
    <section class="botones">
        <a href="principaldocente.php">Principal</a>
        <a href="docentereporte1.php">Rep. Estudiante</a>
        <a href="docentereporte2.php">Rep. Año</a>
        <!--<a href="docentereporte3.php">Rep. General</a>-->
        <a href="docentemodificardatos.php">Actualizar Datos</a>
        <a href="salir.php">Salir</a>
    </section>
    <section class="contenido">
        <div class="contenido_izq">
            <br>&nbsp;
            <h2>REPORTE POR ESTUDIANTES</h2>
            <br>&nbsp;
            <center>
            <form action="" method="post">
                <table>
                    <tr>
                        <td>Apellidos o Nombre o DNI</td>
                        <td><input type="text" name="txt_dni" id="" size="30" value="<?php echo $x[1];?>"></td>
                    </tr>
                    <tr class="Botoness">
                        <td></td>
                        <td><input type="submit" name="submit" id="" value="Buscar Datos"></td>
                    </tr>
                </table>
            </form>
            <br>&nbsp;
            </center>
            <div class="reporte"><center>
                <table border="1">
                    <tr>
                        <td style="background-color:yellow;text-align:center;font-weight: bold;">Nº</td>
                        <td style="background-color:yellow;text-align:center;font-weight: bold;">DNI</td>
                        <td style="background-color:yellow;text-align:center;font-weight: bold;">Apellidos</td>
                        <td style="background-color:yellow;text-align:center;font-weight: bold;">Nombres</td>
                        <td style="background-color:yellow;text-align:center;font-weight: bold;">Ingreso</td>
                        <td style="background-color:yellow;text-align:center;font-weight: bold;">Egreso</td>
                        <td style="background-color:yellow;text-align:center;font-weight: bold;">Prog. Estudios</td>
                        <td style="background-color:yellow;text-align:center;font-weight: bold;">Titulado</td>
                    </tr>
                    <?php
                        if(isset($_POST['submit']))
                        {
                            $dni=$_POST['txt_dni'];
                            $contar=1;
                            $res1=mysqli_query($con,"select * from alumno where (dni like'{$dni}%' or apellidos like'{$dni}%' or nombres like '{$dni}%') and cargo='EGRESADO'");
                            while($x1=mysqli_fetch_row($res1))
                            {
                                ?>
                                    <tr>
                                        <td><center><?php echo $contar;$contar++;?></center></td>
                                        <td><center><a href="reportepersonal.php?dni=<?php echo $x1[0];?>" target="blank"><?php echo $x1[0];?></a></center></td>
                                        <td><?php echo $x1[1];?></td>
                                        <td><?php echo $x1[2];?></td>
                                        <td><center><?php echo $x1[4];?></center></td>
                                        <td><center><?php echo $x1[5];?></center></td>
                                        <td><center><?php echo $x1[10];?></center></td>
                                        <td><center><?php echo $x1[12];?></center></td>
                                    </tr>
                                <?php
                            }
                        }
                    ?>
                </table></center>
            </div>
        </div>
        <div class="contenido_der">
            <center><h1>DATOS PERSONALES</h1>
            <img src="<?php echo $x[14];?>" alt="">
            <p><?php echo $x[1]." ".$x[2]; ?></p>
            <P>DNI <?php echo $x[0]; ?></P>
        </div>
    </section>
</body>
</html>